/**
 * Classe de configuração da url de storage da logistica.
 */
export declare class FileStorageConfig {
    private _downloadUrl;
    private _uploadUrl;
    private _zipUrl;
    private _deleteUrl;
    readonly downloadUrl: import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para download de arquivo do storage da logística
     * @param url a url do comando, finalizando em /
     * @deprecated use setAllUrl
     */
    setDownloadUrl(url: string): void;
    readonly zipUrl: import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para download de arquivos em zip do storage da logística
     * @param url a url do comando
     * @deprecated use setAllUrl
     */
    setZipUrl(url: string): void;
    getUploadUrl(fileName?: string): import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para upload de arquivo do storage da logística
     * @param url a url do comando
     * @deprecated use setAllUrl
     */
    setUploadUrl(url: string): void;
    readonly deleteUrl: import("rxjs").Observable<string>;
    /**
     * Indica o padrão de url para exclusão de arquivo do storage da logística
     * @param url a url do comando, finalizando em /
     * @deprecated use setAllUrl
     */
    setDeleteUrl(url: string): void;
    /**
     * Configura a url de todos os métodos do serviço de storage da logística
     * @param baseUrl url base do serviço (ex: https://dominio/storage/core)
     */
    setAllUrl(baseUrl: string): void;
}
export declare const fileStorageConfig: FileStorageConfig;
